const updateManager = wx.getUpdateManager()

updateManager.onCheckForUpdate(function (res) {
  // 请求完新版本信息的回调
  console.log(res.hasUpdate)
})

updateManager.onUpdateReady(function () {
  wx.showModal({
    title: '更新提示',
    content: '新版本已经准备好，是否重启应用？',
    success: function (res) {
      if (res.confirm) {
        // 新的版本已经下载好，调用 applyUpdate 应用新版本并重启
        updateManager.applyUpdate()
      }
    }
  })
})

updateManager.onUpdateFailed(function () {
  // 新版本下载失败
})



var app = getApp(),
  utils = require("../../utils/util");
var e = null;
// 新增
let interstitialAd = null;
let showRewardedAd = 0;
let Adswitch = false;
// 新增 END
Page({
  data: {
    data: [],
    classArray: [],
    classIndex: 0,
    shareShow: !1,
    name: "",
    adVideoId3: "",
    adnumber: ""
  },
  onLoad: function onLoad() {
    this.getClassDatas();
    // 新增 
    var showRewardedAd = 0;
    var Adswitch = false;
    console.log("初始次数：", showRewardedAd);
    console.log("1初始状态：", Adswitch);
    // 新增END
  },
  getClassDatas: function getClassDatas() {
    var that = this;
    wx.login({
      success: function success(code) {
        utils.getRequest("/Api/classDatas.php?code=" + code.code).then(function (res) {
          console.log(res);
          if (res.data.code == 200) {
            that.setData({
              data: res.data.data,
              classArray: res.data.class,
              adnumber: res.data.data.adnumber
            });
            wx.setNavigationBarTitle({
              title: res.data.data.xcx_name
            });
            // 新增
            app.globalData.adVideoId3 = res.data.data.adVideoId3;
            console.log('adVideoId1：', res.data.data.adVideoId1);
            console.log('adVideoId3：', res.data.data.adVideoId3);
            console.log("限制数：", that.data.adnumber);

            if (wx.createInterstitialAd) {
              interstitialAd = wx.createInterstitialAd({
                adUnitId: res.data.data.adVideoId1
              })
            };
            if (interstitialAd) {
              interstitialAd.show().catch((err) => {
                console.error(err)
              })
            };
            // 新增END
          } else {
            wx.showModal({
              title: "提示",
              content: res.data.msg,
              showCancel: !1,
              confirmText: "重试",
              success: function success() {
                that.getClassDatas();
              }
            });
          }
        }).catch(function (res) {
          console.log(res);
          wx.showModal({
            title: "提示",
            content: "网络请求超时",
            confirmText: "重试",
            success: function success() {
              that.getClassDatas();
            }
          });
        });
      }
    });
  },

  inputChange: function (e) {
    this.setData({
      name: e.detail.value
    });
    console.log("输入的值是", e.detail.value);
  },

  receive: function receive() {
    var that = this;
    //新增
    console.log('输入框的值', that.data.name);
    if (that.data.name == 'undefined' || that.data.name == '') {
      wx.showModal({
        title: "提示",
        content: "口令不能为空！请重新输入",
        showCancel: false,
        confirmText: "好的",
      });

    } else {

      switch (that.data.data.examine) {
        case 0:
          that.ok();
          break;

        case 1:
          that.submitPay();
          break;

        case 2:
          switch (that.data.adnumber) {
            case 0:
              this.initVideoAd(function () {
                that.ok();
              });
              break;

            case 1:
              if (Adswitch === false) {
                wx.showModal({
                  title: '提示',
                  content: '首次体验需观看视频广告，解锁领取功能！',
                  success(res) {
                    if (res.confirm) {
                      Adswitch = true;
                      that.initVideoAd(function () {
                        that.ok();
                      });
                    } else if (res.cancel) {
                      console.log('用户点击取消');
                    }
                  }
                });
              } else {
                that.ok();
              };
              break;

            case 2:
            case 3:
              // 判断是否还有剩余观看次数
              if (showRewardedAd < that.data.adnumber) {
                wx.showModal({
                  title: '提示',
                  content: '是否观看视频广告获取！剩余机会' + (that.data.adnumber - showRewardedAd) + '次',
                  success(res) {
                    if (res.confirm) {
                      console.log('用户点击确定', showRewardedAd);
                      that.initVideoAd(function () { // 使用变量调用组件实例的方法
                        that.ok();
                        showRewardedAd = showRewardedAd + 1;
                      });
                    } else if (res.cancel) {
                      console.log('用户点击取消');
                    }
                  }
                });
              } else {
                wx.showModal({
                  title: "提示",
                  content: "已达领取上限！",
                  showCancel: false,
                  confirmText: "好的",
                });
              };
              break;

            default:
              that.ok();
          }
          break;

        case 3:
          this.initVideoAd(function () {
            that.setData({
              shareShow: true
            });
          });
          break;

        default:
          that.ok();
      };


    }
  },
  popupShow: function popupShow() {
    this.setData({
      shareShow: false
    });
  },
  ok: function ok(trade_no) {
    var that = this;
    wx.showLoading({
      title: "获取卡密中"
    });
    wx.login({
      success: function success(code) {
        utils.getRequest("/Api/getCarmel.php?code=" + code.code + "&name=" + that.data.name + "&trade_no=" + trade_no).then(function (res) {
          console.log(trade_no);
          console.log(res);
          wx.hideLoading();
          if (res.data.code == 200) {
            // wx.showModal({
            //   title: "领取成功",
            //   content: res.data.carmel,
            //   confirmText: "复制卡密",
            //   showCancel: !1,
            //   success: function success(o) {
            //     wx.setClipboardData({
            //       data: res.data.carmel,
            //       success: function success(res) {
            //         that.setData({
            //           shareShow: false
            //         });
            //       }
            //     });
            //   }
            // });

            wx.showModal({

              title: "领取成功",
              content: "【卡密】：" + res.data.carmel + "\r\n" + res.data.usetip,
              confirmText: "复制卡密",
              cancelText: "全部复制", 
              showCancel: res.data.pd,
              success: function success(o) {
                if (o.cancel) {
                  wx.setClipboardData({
                    data: "【卡密】：" + res.data.carmel + "\r\n" + res.data.usetip,
                    success: function success(res) {
                      that.setData({
                        shareShow: false
                      });
                    }
                  });
                } else if (o.confirm) {
                  wx.setClipboardData({
                    data: res.data.carmel,
                    success: function success(res) {
                      that.setData({
                        shareShow: false
                      });
                    }
                  });
                }
              }
            });
			
			




          } else {
            wx.showModal({
              title: "提示",
              content: res.data.msg,
              showCancel: false,
              confirmText: "我知道了",
              success: function success() {
                that.setData({
                  shareShow: false
                });
              }
            });
          }
        }).catch(function (res) {
          wx.showModal({
            title: "提示",
            content: "网络请求超时",
            confirmText: "重试",
            success: function success() {
              that.setData({
                shareShow: false
              });
              that.getClassDatas();
            }
          });
        });
      },
      fail: function fail(eer) {
        wx.showModal({
          title: "提示",
          content: "网络请求超时",
          confirmText: "重试",
          success: function success() {
            that.setData({
              shareShow: false
            });
            that.getClassDatas();
          }
        });
      }
    });
  },
  submitPay: function submitPay() {
    var that = this;
    wx.showLoading({
      title: "正在处理"
    });
    var trade_no = utils.buildOrderNo();
    var content = JSON.stringify({
      order: trade_no,
      name: this.data.name
    });

    wx.login({
      success: function success(code) {
        wx.request({
          url: app.globalData.request_url + "/Api/submit.php",
          method: "POST",
          data: {
            content: content,
            code: code.code
          },
          header: {
            "content-type": "application/x-www-form-urlencoded; charset=utf-8"
          },
          success: function success(res) {
            console.log(res);
            if (res.data.code == 200) {
              wx.hideLoading();
              // wx.showModal({
              //     title: '提示',
              //     content: '订单创建成功,请前往支付。',
              //     cancelText: "暂不支付",
              //     confirmColor: '#1AAD19',
              //     confirmText: "前往支付",
              //     success(ress) {
              //         if (ress.confirm) {
              //             v()
              //         } else {
              //         }
              //     }
              // })
              wx.requestPayment({
                //调起支付
                //下边参数具体看微信小程序官方文档
                timeStamp: res.data.timeStamp,
                nonceStr: res.data.nonceStr,
                package: res.data.package,
                signType: res.data.signType,
                paySign: res.data.paySign,
                success: function success(res) {
                  console.log("支付成功", res);
                  that.ok(trade_no);
                },
                fail: function fail(eer) {
                  console.log("支付失败", eer);
                  wx.showModal({
                    title: "提示",
                    content: "支付失败。请重新购买。",
                    showCancel: !1,
                    confirmText: "我知道了",
                    success: function success() {}
                  });
                }
              });
            } else {
              wx.hideLoading();
              wx.showModal({
                title: "提示",
                content: res.data.msg,
                showCancel: !1
              });
            }
          },
          fail: function fail() {
            wx.showModal({
              title: "提示",
              content: "订单创建失败，请稍后重试。",
              showCancel: !1
            });
          }
        });
      }
    });
  },
  initVideoAd: function initVideoAd(t) {
    var o = this;
    this.openVideoAd(function () {
      t();
    }, function () {
      if (o.data.data.examine == 1) {
        t();
        return;
      }
      wx.showModal({
        title: "使用提示",
        content: o.data.data.adVideoTip,
        showCancel: !1
      });
    }, function () {
      wx.showModal({
        title: "提示",
        content: "您目前暂无广告可看",
        showCancel: !1,
        success: function success(o) {
          o.confirm && t();
        }
      });
    });
  },
  openVideoAd: function openVideoAd(t, o, a) {
    wx.createRewardedVideoAd ? (wx.showLoading({
      title: "视频加载中"
    }), e && (e.offClose(), e.offError(), e.offLoad()), (e = wx.createRewardedVideoAd({
      adUnitId: this.data.data.adVideoId //? this.data.data.adVideoId : "adunit-5c5db30d5db5319e"
    })).load().then(function () {
      wx.hideLoading(), e.onClose(function (a) {
        a && a.isEnded ? t && t() : (o && o(), console.log("播放中途退出"));
      }), e.show();
    }).catch(function (t) {
      wx.hideLoading();
    }), e.onLoad(function () {
      wx.hideLoading(), console.log("video 视频加载成功");
    }), e.onError(function (t) {
      wx.hideLoading(), a && a(), console.log(t);
    })) : wx.showModal({
      title: "提示",
      content: "您的微信版本过低，不支持此功能，请升级。"
    });
  },


  onShareAppMessage: function onShareAppMessage() {
    return {
      title: this.data.data.shareTitle || "这是个神奇的东西", // 如果没有设置分享标题，则使用默认标题
      path: "/pages/index/index",
      imageUrl: this.data.data.shareImg || "/images/share.jpg", // 如果没有设置分享图片，则使用默认图片
      success: function success(res) {
        wx.showToast({
          title: "分享成功",
          icon: "success",
          duration: 2000
        });
      },
      fail: function fail(res) {
        wx.showToast({
          title: "分享失败",
          icon: "none",
          duration: 2000
        });
      }
    };
  },

});